Description

The disambiguation module DisambigCheater (currently in larreco!) requires to predict which wire the ionization fell on.

It is currently using some tricks, because it is not bothering to apply all the models/corrections that LArG4 uses on top of the
geometry.

The correct solution is to provide an algotrithm that performs the transportation, which LArG4, DisambigCheater and any other
algorithm (not just module) can invoke.

Related issues:
Related to LArSoft - Task #14590: 2. improve on the current code Closed 06/15/2016 01/26/2017

History

#1 - 03/06/2017 01:26 PM - Gianluca Petrillo
- Related to Task #14590: 2. improve on the current code added

#2 - 03/06/2017 01:30 PM - Gianluca Petrillo
- Description updated

#3 - 03/13/2017 10:28 AM - Gianluca Petrillo
- Status changed from New to Feedback

- Assignee set to Gianluca Petrillo

This request crosses Hans Wenzel's work on LArG4.
He should be made aware of the request and provide comments.

#4 - 09/15/2017 04:19 PM - Hans-Joachim Wenzel

- Tracker changed from Bug to Idea

Currently the charge transport of the lonization charge (electrons) is done in LArG4. If we use a data product that records the amount of charge that
was created as well as the creation time and position this Dataproduct can be used as input for an independent separate module that deals with the
charge transport (to e..g read out wire or liquid Argon surface in case of dual read out). The new module(s) would than be separated out of LArG4. A
Dataobject that would serve this task has already been proposed.

#5 - 11/16/2017 10:54 AM - Katherine Lato

- Tracker changed from Idea to Feature

- Status changed from Feedback to Assigned

- Assignee changed from Gianluca Petrillo to William Seligman

On 11/16/17, 10:44 AM, "Hans-Joachim Wenzel" <wenzel@fnal.gov> wrote:

| think this should be renamed to independent ionization transport module. We want to move the charge transport out of the geant 4 simulation. The
simulation will will provide a data object which registers the charge that was created and the new module will take it from there.

Bill Seligman wanted to take this on.
